package cn.estsh.i3plus.pojo.wms.bean.health;

import java.util.Date;

/**
 * 计算周期
 */
public interface IWmsHealthIndexCron {
    /**
     * 根据CRON表达式，判断当前时间是否可以执行
     * @param expectDifference 允许的时间差(秒)，即前后相差时间
     *                         如 60 即推迟1分钟
     *                         如 -60 即可以提前1分钟
     */
    boolean verify(int expectDifference);


    /**
     * 获取上一个计算周期
     * @return
     */
    Date getPreviousDate();


    /**
     * 获取下一个计算周期
     */
    Date getNextDate();
}
